

flags.use_rent=false;
AddParticleToObject(obj.kamen.id,"kamen");
MoveEmiter("kamen",674,363);
AddParticleToObject(obj.richag.id,"richag");
MoveEmiter("richag",655,363);

--если дернули за рычаг но не перешли в след локацию
if flags.richag then
	speciale_action(2,obj.dver.id,true);
	CreatePolygon(777,4,"prohod")
	Set_Cursor(777,1)
	Set_Cursor(obj.richag.id,3)
	StopEmiter("kamen")
	StopEmiter("richag")
	speciale_action(2,obj.kamen.id);
	set_visible_object(obj.richag.id,true)
	set_visible_object(obj.kamen2.id,true);
	SetObjectPosition(obj.kamen2.id,470,320);
end

if  flags.endofkamen and not flags.richag then
	StopEmiter("kamen")
	StartEmiter("richag")
	speciale_action(2,obj.kamen.id);
	set_visible_object(obj.richag.id,true)
	set_visible_object(obj.kamen2.id,true);
	SetObjectPosition(obj.kamen2.id,470,320);
	rentgen_is_usable=false
end

if flags.xray then
	rentgen_is_usable=false
end

	
WaitRender();

function gameinput(sender,obj_id,attachedID)
 if (sender == 1  or sender==5) and not isTimes  and imagetex~=-1 then
			set_visible_object(obj.plashechka.id,false)
			set_visible_object(obj[imagetex].id,false)
			del_object_from_game(5654547)		
			gameinput(26,imageid)	
del_object_from_game(5654547)
				del_object_from_game(5654547)
				del_object_from_game(5654547)
				del_object_from_game(5654547)
				del_object_from_game(5654547)
				del_object_from_game(5654547)				
	end
--наведение на камень
	if sender==35 then	
		if not glove_on and not canusegadjets then
			if obj_id == obj.kamen.id and flags.rentgen and not flags.endofkamen then
			set_visible_object(100004,false)
			set_visible_object(333,true)
			StartAnimation(333)		
				
			return;end	
	
		end
	return;end
--уведение	
	if sender==39 then		
		set_visible_object(333,false)
	set_visible_object(100004,true)
	return;end
	
	
if sender ==41 then	
	RotateHandler(obj_id);
if obj_id ==obj.dragonfly.id then	
	StartAnimation( 5555555555,1,5 );
	return;end;	
return;end;

if SLevel==1.0 then return; end;
	
	
if sender == 2 then
		RemoveFromMouse(object);
		MessageProc(sender,obj_id);
return;end;			
	
	if sender == 33 then
	
	if flags.finish then
			speciale_action( 4, obj.completed.id );
			set_visible_object( obj.completed.id, true );
			AddParticleToObject( obj.completed.id, "Level" );
			MoveEmiter( "Level", 512, 384 );
			StartEmiter("Level");
			ShowMenu(false)			
		 return; end;
	
	if not flags.finish then
			flags.finish = false;
			ShowMenu(true);			
			if flags.items_collected then
				SwitchToSheet("gr");			
			end
		return end		
	return;end;
---------------------------------------------	
if sender==777 then
--старт локации
			if flags.comics then		
				StartTimer(43342,0.5,"conv20")
			function conv20()
				CreatePlashechka(79,"102","goodgirl")	
			end		
			
			ShowMenu(true)
			 SwitchToSheet("re")
			flags.comics=false;
			return;end
--старт мини	
	if flags.ministart and not  flags.mini1_complete  then	
		leafobj={2234}
		GetRenderTarget(2234,"rendertar");	
		mininame="mini";
		mininum1=20;
		mininum2=10;
		mininame2="olimp";			
	return;end;
	if top_plush_id then		
		ShowMenu(true)
		end	
	end

	if sender==16 then
		if obj_id==obj.scan.id then
			BlockCursor(false)
			rentgen_is_usable=false	
		return;end
		
	return;end
	
--обработка рентгена	
	if sender ==100001 then	
			BlockCursor(true)
			speciale_action(2,obj.scan.id,true);
            speciale_action(4,obj.scan.id);           
            xray=true;            
            flags.rentgen=true;
            flags.skipp=false;
			flags.comics2=false;
		
	end	


	if sender == 100 then	
	if  flags.rentgen and not flags.richag then   	
		StartEmiter("kamen");
		Set_Cursor(obj.kamen.id,4);
	end;
		
		if  not flags.kluch  then
			flags.kluch= true;
			AddElement(sheet,obj.kluch20.id);
			MoveObjectToTree(obj.kluch20.id);		
			obj.kluch20.is_stored = true;	
		
		end	

		if not flags.spichki then

			AddElement(sheet,obj.spichki.id);
			MoveObjectToTree(obj.spichki.id);
			obj.spichki.is_stored = true;	
			flags.spichki= true;
		
		end

	if flags.items_collected and  flags.comics2 and not flags.rentgen and not nvg_rotate and not glove_rotate and not scaner_rotate and not rentgen_rotate   then   
		StartTimer(6000,2);	
	end;

		if flags.first_time_load then
				flags.first_time_load=false
			set_visible_object(obj.intro.id,true);
		speciale_action(4,obj.intro.id);			
		return; end;	
		
		
		end;  -- 100 сендер
	
	
if sender == 1 then
--тычем камнем на другой камень
	if obj_id==obj.kamen2.id and takeobjecttohand then
		if scaner_on then
						CreatePlashechka(9999,"70","goodgirl")
		return;end;
		playeffect("032")
		RemoveFromMouse(obj.kamen.id);		
		setcolor(obj.kamen2.id,1,1,1,1)
		del_object_from_game(obj.kamen.id)
		HideGlove();
		flags.kamen=false;
		takeobjecttohand=false
		flags.endofkamen=true;	
	return;end
--заходим в дверь
if obj_id ==777 and attachedID==-1  then
		if scaner_on then
						CreatePlashechka(9999,"70","goodgirl")
		return;end;
		SwitchToSheet("gr")	
		RemoveFromMouse(obj.kluch20.id)		
		RemoveFromMouse(obj.spichki.id)		
		UnStoreObj(obj.kluch20.id)
		UnStoreObj(obj.spichki.id)
		ClosePlushes();
		
		HideGlove()
		HideScaner()
		flags.ministart=true;
		ShowMenu(false);
return;end;

--тычем на картинку рентгена
	if obj_id == obj.scan.id  then
		CreatePlashechka(9999,"1000","goodgirl")
	return;end;
--берем камень в руки
	if obj_id ==obj.kamen.id and flags.rentgen and not flags.richag then

	
	if scaner_on then
						CreatePlashechka(9999,"70","goodgirl")
	return;end;		
	if not glove_on then
		CreatePlashechka(9999,"303","goodgirl")
	return;end;
	if glove_on then
		set_visible_object(obj.kamen2.id,true);
		set_visible_object(obj.richag.id,true);
		setcolor(obj.kamen2.id,0.5,0.5,0.5,0.5)
		--addObjectToMouse(obj.kamen.id,-50,-50);
		add_to_mouse(obj.kamen.id)
		takeobjecttohand=true
		x,y=GetObjectPosition(obj.kamen.id)
		takekamen=true
		SetCustomCursor(obj.glove.id);
		flags.kamen=true;
		StartEmiter("richag");
	return;end;
return;end;
--тычем на рычаг
if obj_id ==obj.richag.id and flags.use ==false and not flags.richag then




	if scaner_on then
		CreatePlashechka(9999,"70","goodgirl")
	return;end;



if  glove_on  then
HideGlove();
CreatePlashechka(9999,"302","goodgirl")
return;end;

if  flags.items ~=15 then
CreatePlashechka(9999,"218","goodgirl")
return;end

StartTravel(obj.dver.id,1,nil,nil,{"InstantiationOfLine",2,761,258,830,258,1,false})
CreatePlashechka(9999,"304","goodgirl")
CreatePolygon(777,4,"prohod")
Set_Cursor(777,1)
Set_Cursor(obj.richag.id,3)
flags.richag=true;
StopEmiter("richag");
playeffect("034")
return;end;

---Предметы поиска--------------
if obj_id >obj.kniga20.id -1 and obj_id < obj.kist20.id +1  and not takeobjecttohand  and attachedID==-1 then

		if scaner_on then
						CreatePlashechka(9999,"70","goodgirl")
		return;end;


flags.items = flags.items +1;
CollapseObj(obj_id);


if obj_id ==obj.vedro20.id  then
speciale_action(2,obj.vedroten.id);
end;



if obj_id ==obj.kuvshin20.id then
speciale_action(2,obj.kuvshinten.id);
end;

if obj_id ==obj.kost20.id then
speciale_action(2,obj.kostten.id);
end;


if obj_id ==obj.chasi20.id then
speciale_action(2,obj.chasiten.id);
end;

if obj_id ==obj.nojnici20.id then
speciale_action(2,obj.nojniciten.id);
end;


if obj_id ==obj.ruchka20.id then
speciale_action(2,obj.ruchkaten.id);
end;


if obj_id ==obj.kniga20.id then
speciale_action(2,obj.knigaten.id);
end;


if obj_id ==obj.rogatka20.id then
speciale_action(2,obj.rogatkaten.id);
end;


if obj_id ==obj.kist20.id then
speciale_action(2,obj.kistten.id);
end;

if obj_id ==obj.pila20.id then
speciale_action(2,obj.pilaten.id);
end;

if obj_id ==obj.ogrizok20.id then
speciale_action(2,obj.ogrizokten.id);
end;



if flags.items ==15 then 
flags.items_collected=true;      		
StartTimer(1010,2);

 end;
 end;
 
end; --сендер 1




--------------Отпускание мышки---------------	
	if sender == 6 then
	if flags.skipp then
	
	if obj_id==100001 then
		flags.skipp=false;
	return;end;	
	x,y=GetCursorPos();
	if x>0 and x<2000 and y>0 and y<2000 then
		CreatePlashechka(9999,"306","goodgirl")
		rentgen_is_usable= true;		
	return;end;
	return;end;
	
	
	if flags.first_time_load then
			flags.first_time_load = false;		
		end;
	
	
		return;end;
		
-----------------------------------------------



----Клик в меню--------------------------		
	if sender == 14 and not glove_on and not scaner_on then 		
	addObjectToMouse(obj_id);		
	return; end; 
------------------------------------------

if sender ==15 then
--исчезла картина ренгтена
	if obj_id ==obj.scan.id and not flags.rentgen_start  then
		StartEmiter("kamen");
		xray=false;
		flags.xray=true
		StartTimer(1020,0.5);	
		Set_Cursor(obj.kamen.id,4);
		BlockCursor(true);
	return;end;
end;
---------Таймер-------------------------	
if sender == 36 then				
			
	if obj_id ==6000 then
		CreatePlashechka(9999,"306","goodgirl")
		rentgen_is_usable= true;			
	return;end;
	
	if obj_id ==1010 and not flags.rentgen then					
		CreatePlashechka(9999,"106","goodgirl")
		rentgen_is_usable= true;
	return;end;
	
	if obj_id ==1020 and not flags.comics2 then	
		BlockCursor(false);			
		CreatePlashechka(9999,"107","goodgirl")		
		flags.comics2=true;			
	return;end;			
return; end;
--------------------------------------------


 ------------правая кнопка мыши----------------- 
if sender == 8 then
--если камен ьв руке не снимаем перчу п оправой кнопке
	if glove_on and flags.kamen ==true  then		
		RemoveFromMouse(obj.kamen.id);	
		SetObjectPosition(obj.kamen.id,x,y)	
		set_visible_object( obj.kamen2.id, false );
		set_visible_object( obj.richag.id, true );		
		StopEmiter("richag");
		takeobjecttohand=false
	return;end;		
	HideGlove();
	HideScaner();	
	HideRentgen()
	HideNvg();	
			
return end;

------Выплывающее окно--------------
if sender ==26 then

if obj_id ==25 then
StartAnimation( 5555555555,2,5 );
return;end;

return;end;
------------------------------------

end; --гейм инпут
-----------------------------------------------

function SelectRandom()
local dist=-1;local a=-1;local b=-1;local v=100;local t=-1;local diag=-1;
local width = -1;local height = -1;local radius=1.2;
	
	if flags.items ==15 and not flags.richag and flags.rentgen then
		computation(obj.richag.id);				
	return; end;
	if flags.richag then
	computation(777);			
	return;end	
	
	if flags.items ==15  then 
	if not flags.rentgen then
		CreatePlashechka(25,"306","goodgirl")	
						StartTimer(43224,0.1,"muha")
				
				function muha ()
					StartAnimation( 5555555555,1,5 );			
				end
	return;end;
		
	
	return;end;
	ok = false
	while not ok do
		help_id = GetRandomObject();
		for i,v in pairs(obj) do
			if v.id == help_id and not v.is_collapsed then
				ok = true
				x,y=GetObjectPosition(v.id);
				x1,y1=GetObjectPosition(obj.dragonfly.id);
				width,height = GetObjectSize(v.id)
				a= (x-x1); b= (y-y1);  dist= math.sqrt (a^2+b^2);				
		        t=dist/400;		
                r = (math.sqrt(width^2+height^2)*0.5);		
				
				if r<50 then	r=75;	radius=4;	end  -- при радиусе меньше 50 определяем время кружения и радиус стрекозы
				
				if r>50 and r <100 then	r=87 radius=2.5;  end  --при радиусе больше 50 и меньше 100
				
				if r>100 then 	r=100 	radius=0.75;  end  -- при радиусе больше 100
				
				StartBigTravel(obj.dragonfly.id, v.id, 0, t, r/90, t, 2 ,radius);
			return end
		end
	end
end;
